Subject: [bitcoin-dev] Globally Broadcasting Workshares to Improve Finality Heuristics

From: Jeremy <[email-masked]>
Date: Fri, 17 Dec 2021 10:53:55 -0800

An interesting concept occurred to me today while chatting with Nic Carter.

If we set Bitcoin Core up to gossip headers for work shares (e.g., expected
500 headers per block would have 20kb overhead, assuming we don't need to
send the prev hash) we'd be able to have more accurate finality estimates
and warnings if we see hashrate abandoning our chain tip. This is
observable regardless of if dishonest miners choose not to publish their
work on non tip shares, since you can notice the missing work.

In the GUI, we could give users an additional warning if they are
accepting a payment during a sudden hashrate decrease that they might wait
longer.

Has this been discussed before?

Cheers,

Jeremy

--
@JeremyRubin <https://twitter.com/JeremyRubin>
<https://twitter.com/JeremyRubin>